<?php 
$waplString = ''; 
if(get_option('architect_showmenuatbottom'))
{
	$waplString .= get_wapl_element('menu');
}

if(get_option('architect_use_footerimage'))
{
	$src = false;
	 if(file_exists(WP_CONTENT_DIR.DIRECTORY_SEPARATOR.'uploads'.DIRECTORY_SEPARATOR.get_wapl_plugin_base().DIRECTORY_SEPARATOR.'images'.DIRECTORY_SEPARATOR.'footer'.DIRECTORY_SEPARATOR.get_option('architect_footerimage')))
	 {
	 	$src =  WP_CONTENT_URL.'/uploads/'.get_wapl_plugin_base().'/images/footer/'.get_option('architect_footerimage');
	 } else if(file_exists(WP_PLUGIN_DIR.DIRECTORY_SEPARATOR.get_wapl_plugin_base().DIRECTORY_SEPARATOR.'theme'.DIRECTORY_SEPARATOR.'images'.DIRECTORY_SEPARATOR.'footer'.DIRECTORY_SEPARATOR.get_option('architect_footerimage')))
	 {
	 	$src =  WP_PLUGIN_URL.'/'.get_wapl_plugin_base().'/theme/images/footer/'.get_option('architect_footerimage');
	 }
	 if($src)
	 {
		$filename = get_option('architect_footerimage');
		$filetype = substr($filename, (strpos($filename, '.') + 1), strlen($filename));
		
		$waplString .= '<row class="footerImage"><cell><externalImage filetype="'.$filetype.'" scale="100"><url>'.$src.'</url>';
		if(get_option('architect_footerimage_transparency_colour') AND get_option('architect_footerimage_transparency_colour') != '')
		{
			$waplString .= '<transcol>'.get_option('architect_footerimage_transparency_colour').'</transcol>';
		}
		$waplString .= '</externalImage></cell></row>';
	 }
}

if(get_option('architect_showfootertext'))
{
	$footerText = get_option('architect_footertext');
	
	$waplString .= '<row><cell id="footer"><chars><value>'.$footerText.'</value></chars></cell></row>';
}

if(get_option('architect_showswitchtodesktop'))
{

	$parsedUrl = architect_buildUrl(architect_curPageURL(), array('mobile' => 0));
	
	$waplString .= '<row id="switchToDesktop">
	<cell><chars><value>Mobile | </value></chars><externalLink><prefix> </prefix><label>Standard</label><url>'.$parsedUrl.'</url></externalLink></cell>
	</row>'; 
}

if(!get_option('architect_use_footerimage') AND !get_option('architect_showfootertext'))
{
	$waplString .= '<row><cell id="footer"><chars><value> </value></chars></cell></row>';
}

$waplString .= '</layout></wapl>';
return $waplString;
?>
